Skip to main content
PUT
/
v1
/
flow-runs
/
{flowRunId}
Update Run
curl --request PUT \
  --url https://api.soharhealth.com/v1/flow-runs/{flowRunId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {
    "memberId": "ABC123456"
  }
}
'
{
  "flowRunId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
  "status": "IN_PROGRESS"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

runId
string
required

The Sohar ID for the Run

Example:

"fb701ac1-1246-4860-b1ec-bd916b97a990"

Body

application/json
input
object
required

Input payload to patch into callback state context.

Response

Updated Run status

flowRunId
string
required

The Sohar ID for the Run.

Example:

"fb701ac1-1246-4860-b1ec-bd916b97a990"

status
string
required

Current status of the Run.

Example:

"IN_PROGRESS"